Bug 592220 - vgscan (with cluster locking) doesn't remove filtered devices from .cache after filter change
vgscan (with cluster locking) doesn't remove filtered devices from .cache aft...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Milan Broz
Cluster QE
: Regression, ZStream
Depends On: 591861
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 05:48 EDT by RHEL Product and Program Management
Modified: 2013-02-28 23:09 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-21 03:35:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-05-14 05:48:46 EDT
This bug has been copied from bug #591861 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 4 Milan Broz 2010-05-14 09:33:37 EDT
Fix commited in build
lvm2-2.02.56-8.el5_5.4
lvm2-cluster-2.02.56-7.el5_5.3
Comment 6 Corey Marthaler 2010-05-17 16:22:47 EDT
Fix verified in lvm2-2.02.56-8.el5_5.4/lvm2-cluster-2.02.56-7.el5_5.3.

I filtered out existing devices, vgscaned, and verified that those devices were removed from the .cache files on all nodes in the cluster. I then did the opposite and verified that those devices reappeared in the .cache file.
Comment 7 errata-xmlrpc 2010-05-21 03:35:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0432.html

Note You need to log in before you can comment on or make changes to this bug.